.noai {
    position: relative;
    background-color: black;
    height: 31px;
    width: 88px;
    font-size: 9px;
    color: white;
    overflow: hidden;
    pointer-events: all;
}
.noai .overlay {
    background-color: #55deef99;
    position: absolute;
    top: 0;
    left: 0;
    width: 88px;
    height: 31px;
    transition-property: background-color;
    transition-duration: 1s;
    z-index: 5;
    pointer-events: none;
}
.noai:hover .overlay {
    background-color: transparent;
}
.noai .alllink {
    position: absolute;
    top: 0;
    left: 0;
    width: 88px;
    height: 31px;
    clip-path: polygon(0 0, 73px 0, 73px 18px, 58px 18px, 58px 31px, 30px 31px, 30px 18px, 0 18px);
}
.noai .red {
    position: absolute;
    top: -15px;
    width: 88px;
    height: 31px;
    font-family: "Gotteslob";
    text-align: center;
    font-size: 29px;
    color: red;
    pointer-events: none;
}
.noai .hide {
    color: transparent;
}
.noai .white {
    position: absolute;
    top: -15px;
    width: 88px;
    height: 31px;
    font-family: "Gotteslob";
    text-align: center;
    font-size: 29px;
    color: white;
    pointer-events: none;
}
.noai .wbtext {
    position: absolute;
    top: 16px;
    width: 88px;
    height: 31px;
    font-size: 12px;
    font-family: "Caxtonian";
    color: white;
    text-align: center;
}
.noai .lside {
    color: #a0a0a0;
    font-family: "Caxtonian";
    writing-mode: sideways-lr;
    font-size: 9px;
    position: absolute;
    top: 6px;
    left: 3px;
}
.noai .rside {
    color: #a0a0a0;
    font-family: "Caxtonian";
    font-size: 17px;
    position: absolute;
    right: 4px;
    top: 0;
}
.noai .larr {
    font-size: 18px;
    font-family: Verdana;
    font-weight: bold;
    position: absolute;
    bottom: -1px;
    left: 6px;
    cursor: pointer;
    pointer-events: none;
}
.noai .rarr {
    font-size: 18px;
    font-family: Verdana;
    font-weight: bold;
    position: absolute;
    bottom: -1px;
    right: 6px;
    height: fit-content;
    width: fit-content;
    pointer-events: none;
}
.noai .rand {
    position: absolute;
    top: 0;
    right: 0;
    width: 15px;
    height: 16px;
    pointer-events: all;
    cursor: pointer;
    z-index: 2;
}
.noai a {
    text-decoration: none;
    color: white;
    pointer-events: all;
}
.noai .leftlink {
    position: absolute;
    bottom: 0;
    left: 0;
    height: 11px;
    width: 30px;
    cursor: pointer;
    pointer-events: all;
    z-index: 2;
}
.noai .rightlink {
    position: absolute;
    bottom: 0;
    right: 0;
    height: 11px;
    width: 30px;
    cursor: pointer;
    pointer-events: all;
    z-index: 2;
}
.noai .agray {
    text-decoration: none;
    color: #a0a0a0;
    pointer-events: all;
}